Skip to main content
POST
Register a new network

Authorizations

Authorization
string
header
required

JWT sent in Authorization: Bearer . Access depends on the token's network membership and permissions. The admin endpoint requires admin claims.

Headers

X-Network-ID
string

Existing network ID, required when authenticating with a network password; not required for JWT authentication

Body

application/json

Optional network details

Optional network details

name
string
Example:

"Acme Network"

Response

Created

Response for network registration

network_id
string
Example:

"123e4567-e89b-12d3-a456-426614174000"

network_name
string
Example:

"example-network"

network_password
string
Example:

"secretpassword"

network_secret
string

Deprecated: use network_password.

Example:

"secretpassword"